.app {
  height: 100vh;
  width: 100vw;
  display: grid;
  place-items: center;
}

.app__todo-list {
  position: relative;
  height: 37.5rem;
  width: 25rem;
  overflow-y: auto;
  background-color: #f4f4f4;
  padding: 2rem;
  padding-top: calc(2rem + 0.75);
  box-shadow: 15.9651px 11.7144px 53.3733px rgba(0, 0, 0, 0.2);
}

.app__todo-list::before {
  display: inline-block;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 0.75rem;
  background-color: #413f3f;
  border-radius: 0 0 50% 50%;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.app__todo-group > div {
  cursor: pointer;
}

.app__todo-group > ul {
  display: none;
  list-style: none;
  padding: 0;
}

.app__todo-group > ul > li:not(:last-child) {
  margin-bottom: 1rem;
}

.app__todo-group--selected > ul {
  display: block;
  margin-bottom: 2.25rem;
}

.app__todo-group-header {
  display: flex;
  align-items: center;
  margin-bottom: 0.75rem;
}

.app__todo-group-header > .app__separator {
  flex-grow: 1;
  height: 1px;
  background-color: rgba(188, 188, 196, 0.44);
  margin: 0 1rem;
}

.app__todo-group-title {
  margin-left: 0.5rem;
  line-height: 18px;
  font-weight: 700;
}

.app__todo-group-arrow {
  display: grid;
  place-items: center;
}

.app__todo-group-arrow > svg {
  transform: rotate(-90deg);
}

.app__todo-group--selected .app__todo-group-arrow > svg {
  transform: none;
}

.app__add-todo-item > label {
  display: inline-block;
}

.app__add-todo-item > input[type="text"] {
  border: none;
  background: transparent;
  padding: 0;
  display: inline-block;
  outline: 0;
  color: rgba(65, 63, 63, 0.6);
}
